Issue kubeconfig
Visibility: internal ยท public ( OpenAPI Custom Extension: x-visibility )
"Kubeconfig issuance API"; Issue a new kubeconfig file for cluster access.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
region*string
Region identifier
project*string
Project identifier
clusterId*string
Unique cluster identifier
Request Body
application/json
user?string
User identifier for kubeconfig
role?string
Role for kubeconfig permissions
ttl?integer
Time-to-live in seconds
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/clusters/string/kubeconfigs" \ -H "Content-Type: application/json" \ -d '{}'{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/clusters/cluster-a1b2c3/kubeconfigs/kubeconfig-s2t3u4",
"id": "address-j1k2l3",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"displayName": "string",
"description": "string",
"issuedFor": "string",
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?